Browse Docs
Archives (14)
Audio (38)
Documents (26)
Ebooks (7)
Fonts (13)
Images (62)
Video (10)
On This Page

LOTTIE to WEBM

Convert Lottie animations to WebM video/audio.

Try Lottie to WebM in the browser →

Convert.FAST uses this same API — what you see in the browser is what you get in code.

Quick reference

Job typeimage.lottie-to-webm
targetFormatwebm
Categoryimages
Input formats.json
Output extension.webm
Costing1 credit per 50 frames
Max file size1 GB
Max frames15000

Example

cURL
# 1) Submit
JOB_ID=$(curl -sS -X POST "https://api.tools.fast/convert" \
  -H "X-Fast-Api-Key: $API_KEY" \
  -F "file=@photo.json" \
  -F "targetFormat=webm" | jq -r '.id')
# → 202 Accepted: {"id": "019e3a7b-...", "status": "Queued"}

# 2) Poll until terminal status
while true; do
  RESPONSE=$(curl -sS "https://api.tools.fast/convert/job/${JOB_ID}" \
    -H "X-Fast-Api-Key: $API_KEY")
  STATUS=$(echo "$RESPONSE" | jq -r '.status')
  [ "${STATUS}" = "Succeeded" ] && break
  [ "${STATUS}" = "Failed" ] || [ "${STATUS}" = "Canceled" ] && { echo "$RESPONSE" | jq; exit 1; }
  sleep 1
done

# 3) Download
curl -sS "https://api.tools.fast/convert/job/${JOB_ID}/download" \
  -H "X-Fast-Api-Key: $API_KEY" \
  -o "photo.webm"
# → Binary file (video/webm, 29.3 MB)

Options

This converter does not support additional options.

Cost estimate

cURL
curl -sS "https://api.tools.fast/convert/estimate/json/webm?pageCount=50"
Copied.